import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class TabuMiddlewareService {

  constructor(private http: HttpClient) {
  }

  private async request(method: string, url: string, data?: any): Promise<any> {

    const result = this.http.request(method, url, {
      body: data,
      responseType: 'json',
      observe: 'body',
    });
    return new Promise((resolve, reject) => {
      result.subscribe(resolve, reject);
    });
  }

  getSpielSessions(): Promise<any> {
    return this.request('GET', `${environment.tabuMiddlewareURL}SpielSession`);
  }

  addSpielSession(event: any): Promise<any> {
    return this.request('POST', `${environment.tabuMiddlewareURL}addSpielSession`, event);
  }
}
